---
title: Passport Authentication
description: This api is for validating a customer's passport details.
---

This api is for validating a customer's passport details. We have to pass passport number, file number,full name, date of issue and date of birth in request. If the request have valid passport details we will get a success response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/passport-authentication
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| passport_no | Alphanumeric | Passport Number of customer (length 9, required) |
| file_no | Alphanumeric | Passport application File Number as printed the passport (length 15, required) |
| dob | date | Date of birth as per Passport [DD/MM/YYYY] (length 20, required) |
| doi | date | Date for when Passport is Issued [DD/MM/YYYY](length 20, required) |
| full_name | Text | Complete name of the passport holder (length 3-50, required) |

## Request-Example: 
```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/passport-authentication' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/json' \
--data-raw {

      "file_no":"BO1234344561234",

      "dob":"17/08/1987",

      "passport_no":"Sxxxxx62",

      "doi":"14/05/2018",

      "full_name":"Krisha kumar "

    }
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | 400- fail,200-success(length 3) |
| message | Text | success, fail |
| data | Text | { "name": { "nameFromPassport": "KRISHNA KUMAR", "surnameFromPassport": "SURYA", "nameMatch": true, "nameScore": 1 }, "passportNumber": { "passportNumberFromSource": "Sxxxxx62", "passportNumberMatch": true }, "dateOfIssue": { "dispatchedOnFromSource": "14/05/2018", "dateOfIssueMatch": true }, "typeOfApplication": "Tatkaal", "applicationDate": "14/05/2018" } |

## Success-Response:

```
{
    "status": "200",
    "message": "success",
    "data": {
        "name": {
            "nameFromPassport": "KRISHNA KUMAR",
            "surnameFromPassport": "SURYA",
            "nameMatch": true,
            "nameScore": 1
        },
        "passportNumber": {
            "passportNumberFromSource": "Sxxxxx62",
            "passportNumberMatch": true
        },
        "dateOfIssue": {
            "dispatchedOnFromSource": "14/05/2018",
            "dateOfIssueMatch": true
        },
        "typeOfApplication": "Tatkaal",
        "applicationDate": "14/05/2018"
    }
}
```
## Error-Response:

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```